Ruby: ext/openssl/ossl_x509revoked.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions | Variables
ossl_x509revoked.c File Reference
`#include "ossl.h"`

Go to the source code of this file.

## Macros
#define | NewX509Rev(klass) TypedData_Wrap_Struct((klass), &ossl_x509rev_type, 0)
#define | SetX509Rev(obj, rev)
#define | GetX509Rev(obj, rev)

## Functions
VALUE | ossl_x509revoked_new (X509_REVOKED *rev)
X509_REVOKED * | DupX509RevokedPtr (VALUE obj)
void | Init_ossl_x509revoked (void)

## Variables
VALUE | cX509Rev
VALUE | eX509RevError

## Macro Definition Documentation

## ◆ GetX509Rev

#define GetX509Rev | ( |  | obj,
|  |  | rev
| ) |  |

Value:
do { \
TypedData_Get_Struct((obj), X509_REVOKED, &ossl_x509rev_type, (rev)); \
if (!(rev)) { \
ossl_raise(rb_eRuntimeError, "REV wasn't initialized!"); \
} \
} while (0)
rb_eRuntimeError
VALUE rb_eRuntimeError
Definition: error.c:1055

Definition at line 20 of file ossl_x509revoked.c.

## ◆ NewX509Rev

#define NewX509Rev | ( |  | klass | ) | TypedData_Wrap_Struct((klass), &ossl_x509rev_type, 0)

Definition at line 12 of file ossl_x509revoked.c.

## ◆ SetX509Rev

#define SetX509Rev | ( |  | obj,
|  |  | rev
| ) |  |

Value:
do { \
if (!(rev)) { \
ossl_raise(rb_eRuntimeError, "REV wasn't initialized!"); \
} \
RTYPEDDATA_DATA(obj) = (rev); \
} while (0)

Definition at line 14 of file ossl_x509revoked.c.

## Function Documentation

## ◆ DupX509RevokedPtr()

X509_REVOKED * DupX509RevokedPtr | ( | VALUE | obj | ) |

Definition at line 71 of file ossl_x509revoked.c.

References eX509RevError, GetX509Rev, NULL, ossl_raise(), and X509_REVOKED_dup.

## ◆ Init_ossl_x509revoked()

void Init_ossl_x509revoked | ( | void |  | ) |

Definition at line 276 of file ossl_x509revoked.c.

References cX509Rev, eOSSLError, eX509RevError, mOSSL, mX509, rb_cObject, rb_define_alloc_func(), rb_define_class_under(), rb_define_method, rb_define_module(), rb_define_module_under(), and rb_eStandardError.

Referenced by Init_ossl_x509().

## ◆ ossl_x509revoked_new()

VALUE ossl_x509revoked_new | ( | X509_REVOKED * | rev | ) |

Definition at line 51 of file ossl_x509revoked.c.

References cX509Rev, eX509RevError, NewX509Rev, NULL, ossl_raise(), SetX509Rev, and X509_REVOKED_dup.

## Variable Documentation

## ◆ cX509Rev

VALUE cX509Rev

Definition at line 30 of file ossl_x509revoked.c.

Referenced by Init_ossl_x509revoked(), and ossl_x509revoked_new().

## ◆ eX509RevError

VALUE eX509RevError

Definition at line 31 of file ossl_x509revoked.c.

Referenced by DupX509RevokedPtr(), Init_ossl_x509revoked(), and ossl_x509revoked_new().